#ifndef CREATURELIB_PRECOMPILED_HXX
#define CREATURELIB_PRECOMPILED_HXX

// std
#include <algorithm>
#include <cmath>
#include <cstddef>
#include <cstdint>
#include <cstring>
#include <exception>
#include <memory>
#include <numeric>
#include <optional>
#include <sstream>
#include <stdexcept>
#include <string>
#include <string_view>
#include <type_traits>
#include <unordered_map>
#include <unordered_set>
#include <utility>
#include <variant>
#include <vector>

// Arbutils
#include <Arbutils/Collections/Dictionary.hpp>
#include <Arbutils/Collections/List.hpp>
#include <Arbutils/Ensure.hpp>
#include <Arbutils/Enum.hpp>
#include <Arbutils/Exception.hpp>
#include <Arbutils/Memory/Memory.hpp>
#include <Arbutils/Misc.hpp>
#include <Arbutils/Precompiled.hxx>
#include <Arbutils/StringView.hpp>

// CreatureLib
#include "Defines.hpp"

#endif // CREATURELIB_PRECOMPILED_HXX
